C     MAPCOM.F
C
C     USED INTERNALLY BY MAP PROGRAM.
C
C     PROGRAM HISTORY LOG:
C       06-09-01  L. BENJAMIN  CHANGED MAX TEMPERATURE LEVELS TO 30 
C                              FROM 15.  ADDED NMTLVL IN COMMON FOR 
C                              THE NUMBER OF LEVELS IN THE TEMPERATURE 
C                              FILE.  
C       08-06-20  L. BENJAMIN  MOVED TO LOCAL DIRECTORY.
C
C     ------------------------------------------------------------------
C     MXMODE         = MAXIMUM NUMBER OF MODES IN WIND FILE
C     MXBEAM         = MAXIMUM NUMBER OF BEAMS IN WIND FILE
C     MXWLVL         = MAXIMUM NUMBER OF LEVELS IN WIND FILE
C     MXTLVL         = MAXIMUM NUMBER OF LEVELS IN TEMP FILE
C     NMTLVL         = NUMEBR OF LEVELS IN TEMP FILE, VALUE SET IN map.f
C     MODENAMELEN    = NUMBER OF CHARACTERS IN modeNames VARIABLE
C     BEAMNAMELEN    = NUMBER OF CHARACTERS IN beamNames VARIABLE
C     PROVIDERNAMLEN = NUMBER OF CHARACTERS IN dataProvider VARIABLE
C     ------------------------------------------------------------------
      INTEGER MXMODE,MXBEAM,MXWLVL,MXTLVL,MODENAMELEN,BEAMNAMELEN
      INTEGER PROVIDERNAMLEN
      PARAMETER (MXMODE = 3)
      PARAMETER (MXBEAM = 5)
      PARAMETER (MXWLVL = 50)
      PARAMETER (MXTLVL = 30)
      PARAMETER (MODENAMELEN = 20)
      PARAMETER (BEAMNAMELEN = 8)
      PARAMETER (PROVIDERNAMLEN = 11)

C     NUMBER OF TEMPERATURE LEVELS IN NETCDF FILE
      INTEGER NMTLVL

C     RECDIMW ET AL. -- BASIC NETCDF I/O IDENTIFIERS

      INTEGER RECDIMW,RECDIMT,RECDIMQ,NCIDW,NCIDT,NCIDQ

C     TREC     LIST OF INTEGRATED INPUT RECORD NUMBERS FOR EACH 
C              TEMPERATURE RECORD
C     LINDEX   INDICES OF INTEGRATED LEVELS IN INPUT ARRAYS

      INTEGER TREC(MXMAP_P),LINDEX(MXMAPLEV_P,MXMAP_P)

C     Size for max tmp storage for dataset
      DOUBLE PRECISION DMAPDATA(MXMAP)
      COMMON/MAPLCL/NCIDW,NCIDT,NCIDQ,RECDIMW,RECDIMT,RECDIMQ,
     1              TREC,LINDEX,NMTLVL,DMAPDATA
      REAL RMAPDATA(MXMAP)
      INTEGER IMAPDATA(MXMAP)
      INTEGER*2 I2MAPDATA(MXMAP)
      BYTE BMAPDATA(MXMAP)
      EQUIVALENCE (DMAPDATA,RMAPDATA,IMAPDATA,I2MAPDATA,BMAPDATA)  

