C$$$  SUBPROGRAM DOCUMENTATION BLOCK

C                .      .    .                                       .
C SUBPROGRAM:    RDNUM       READ A NUMBER VARIABLE
C   PRGMMR: L. BENJAMIN      ORG: FSL        DATE: 08-06-20
C
C ABSTRACT: WRAPPER FOR MRDNUME SUBROUTINE.
C
C PROGRAM HISTORY LOG:
C   08-06-20  L. BENJAMIN ORIGINAL VERSION -- MODIFIED FROM MRDNUM.F
C
C USAGE:    CALL RDNUM (VNAME,NCID,RECDIM,STARTR,NRECS,SPVAL,
C                        VDATA,STATUS)
C
C   INPUT ARGUMENT LIST:
C     VNAME    - C       NETCDF VARIABLE NAME
C     NCID     - I       ID OF THE OPEN NETCDF QC FILE
C     RECDIM   - I       DIMENSION ID OF THE FILE'S RECORD DIMENSION
C     STARTR   - I       STARTING RECORD TO READ
C     NRECS    - I       NUMBER OF RECORDS TO READ
C     SPVAL    - R       DESIRED MISSING DATA FLAG
C
C   OUTPUT ARGUMENT LIST:
C     VDATA    - RA      DOUBLE PRECISION ARRAY WITH DATA AND SPVALS
C                        FILLED IN
C     STATUS   - I       SUCCESS_P OR ERROR CODE
C
C   INPUT FILES:
C
C SUBPROGRAMS CALLED:
C     API:       MRDNUM1
C
C REMARKS:
C   - THIS PROGRAM PURPOSE IS TO SET UP THE TEMPORARY MEMORY SPACE
C     FOR MRDNUM THAT IS SIZED FOR THIS UPPER AIR TYPE.
C
C ATTRIBUTES:
C   LANGUAGE: FORTRAN-77 + EXTENSIONS
C   MACHINE:  UNIX
C$$$

      SUBROUTINE RDNUM(VRNAM,NCID,RECDIM,STARTR,NRECS,SPVAL,VDATA,
     1     N,STATUS)

C     ------------------------------------------------------------------
C     INCLUDES AND COMMONS
C     ------------------------------------------------------------------
      INCLUDE 'IMPLICIT'
      INCLUDE 'MAPCON'
      INCLUDE 'MAPCOM'

C     ------------------------------------------------------------------
C     ARGUMENTS
C     ------------------------------------------------------------------
      CHARACTER*(*) VRNAM
      INTEGER NCID,RECDIM,STARTR,NRECS,STATUS
      REAL SPVAL,VDATA(*)
      INTEGER MXMAP_L
      PARAMETER(MXMAP_L=MXMODE*MXBEAM*MXWLVL*MXMAP_P)
C     ------------------------------------------------------------------
C     LOCAL
C     ------------------------------------------------------------------

      REAL RDATA(MXMAP_L)
      INTEGER IDATA(MXMAP_L)
      INTEGER*2 I2DATA(MXMAP_L)
      BYTE BDATA(MXMAP_L)
      INTEGER N
      EQUIVALENCE(RDATA,IDATA,I2DATA,BDATA)


      CALL MRDNUM1(VRNAM,NCID,RECDIM,STARTR,NRECS,SPVAL,VDATA,
     1     MXMAP_L,RDATA,IDATA,I2DATA,BDATA,N,STATUS)


      RETURN
      END
C**---------------------------------------------------------------------
C**REQUIRED STANDARD FSL DISCLAIMER (NOVEMBER 2000)
C**---------------------------------------------------------------------
C**  OPEN SOURCE LICENSE/DISCLAIMER,  FORECAST SYSTEMS LABORATORY
C**  NOAA/OAR/FSL, 325 BROADWAY BOULDER, CO 80305
C**
C**  THIS SOFTWARE IS DISTRIBUTED UNDER THE OPEN SOURCE DEFINITION, 
C**  WHICH MAY BE FOUND AT http://www.opensource.org/osd.html.
C**
C**  IN PARTICULAR, REDISTRIBUTION AND USE IN SOURCE AND BINARY FORMS,
C**  WITH OR WITHOUT MODIFICATION, ARE PERMITTED PROVIDED THAT THE 
C**  FOLLOWING CONDITIONS ARE MET:
C**
C**  - REDISTRIBUTIONS OF SOURCE CODE MUST RETAIN THIS NOTICE, THIS LIST
C**    OF CONDITIONS AND THE FOLLOWING DISCLAIMER.
C**
C**  - REDISTRIBUTIONS IN BINARY FORM MUST PROVIDE ACCESS TO THIS 
C**    NOTICE, THIS LIST OF CONDITIONS AND THE FOLLOWING DISCLAIMER, AND
C**    THE UNDERLYING SOURCE CODE.
C**
C**  - ALL MODIFICATIONS TO THIS SOFTWARE MUST BE CLEARLY DOCUMENTED, 
C**    AND ARE SOLELY THE RESPONSIBILITY OF THE AGENT MAKING THE 
C**    MODIFICATIONS.
C**
C**  - IF SIGNIFICANT MODIFICATIONS OR ENHANCEMENTS ARE MADE TO THIS
C**    SOFTWARE, THE FSL SOFTWARE POLICY MANAGER 
C**    (softwaremgr.fsl@noaa.gov) BE NOTIFIED.
C**
C**  THIS SOFTWARE AND ITS DOCUMENTATION ARE IN THE PUBLIC DOMAIN AND 
C**  ARE FURNISHED "AS IS."  THE AUTHORS, THE UNITED STATES GOVERNMENT,
C**  ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO 
C**  WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE
C**  AND DOCUMENTATION FOR ANY PURPOSE.  THEY ASSUME NO RESPONSIBILITY 
C**  (1) FOR THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO 
C**  PROVIDE TECHNICAL SUPPORT TO USERS.
C**---------------------------------------------------------------------
