C***********************************************************************
C*************************** L O C A T I O N ***************************
C***********************************************************************
C**
C**  NAME:  LOCATION
C**
C**
C**
C**  PURPOSE
C**  =======
C**  INCLUDE FILE                BASELINE VERSION   11/17/92  P. MILLER
C**                              ADDED WFOA          7/25/97  M. BARTH
C**                              ADDED IBM_P         3/17/99  M. BARTH
C**                              ADDED QC_*_P        7/22/99  M. BARTH
C**                              ADDED LINUX_P       9/04/00  M. BARTH
C**                              ADDED QC_HYDRO_P    2/22/01  M. BARTH
C**                              ADDED MAXQCFLTR_P  11/05/01  M. BARTH
C**                              REMOVED QC_PROF_P  12/09/03  M. BARTH
C**                              & QC_GSOS_P, ADDED
C**                              QC_COOP_P
C**                              ADDED QC_URBANET_P  8/22/06  M. BARTH
C**                              ADDED QC_HFMETAR_P  6/13/08  M. BARTH
C**                              RENAMED COOP TO     2/13/09  M. BARTH
C**                              NEPP, ADDED
C**                              QC_CRN_P & QC_HCN_P
C**                              MOVED COMPUTER      3/19/09  L. BENJAMIN
C**                              CENTERS AND 
C**                              FACILITY_P TO
C**                              OTHER FILES.
C**                              ADDED QC_MOBILE_P   11/04/10 M. BARTH
C**
C**  CONTAINS SITE SPECIFIC VARIABLES 
C**
C**
C**  VARIABLES
C**  =========
C**  LABEL           TYPE ................DESCRIPTION..................
C**  
C**  VAX_P           I    POINTER TO THE VAX COMPUTER
C**  NAS_P           I    POINTER TO THE NAS9000 COMPUTER 
C**  CRAY_P          I    POINTER TO THE CRAY Y-MP COMPUTER 
C**  SUN4_P          I    POINTER TO THE SPARC BASED COMPUTERS
C**  SGI_P           I    POINTER TO THE SGI COMPUTERS
C**  PARAGON_P       I    POINTER TO THE PARAGON
C**  HP_P            I    POINTER TO THE HP COMPUTER
C**  IBM_P           I    POINTER TO THE IBM RS/6000 SP2 COMPUTER
C**  LINUX_P         I    POINTER TO THE LINUX COMPUTER
C**  TOTCOMPS_P      I    TOTAL NUMBER OF RECOGNIZED COMPUTERS 
C**  COMPNAM         C32  NAMES FOR THE COMPUTERS
C**  COMPUTER_P      I    CURRENT COMPUTER TYPE 
C**  QC_MESO_P       I    PERFORM STAGE 1/2/3 QC PROCESSING ON MESONET
C**  QC_SAO_P        I    PERFORM STAGE 1/2/3 QC PROCESSING ON SAO
C**  QC_BUOY_P       I    PERFORM STAGE 1/2/3 QC PROCESSING ON BUOY
C**  QC_METAR_P      I    PERFORM STAGE 1/2/3 QC PROCESSING ON METAR
C**  QC_NEPP_P       I    PERFORM STAGE 1/2/3 QC PROCESSING ON NEPP
C**  QC_HYDRO_P      I    PERFORM STAGE 1/2/3 QC PROCESSING ON HYDRO
C**  QC_URBANET_P    I    PERFORM STAGE 1/2/3 QC PROCESSING ON URBANET
C**  QC_HFMETAR_P    I    PERFORM STAGE 1/2/3 QC PROCESSING ON HFMETAR
C**  QC_CRN_P        I    PERFORM STAGE 1/2/3 QC PROCESSING ON CRN
C**  QC_HCN_P        I    PERFORM STAGE 1/2/3 QC PROCESSING ON HCN
C**  QC_MOBILE_P     I    PERFORM STAGE 1/2/3 QC PROCESSING ON MOBILE
C**  MAXQCFLTR_P     I    MAXIMUM NUMBER OF QC DB FILTERED DATASETS
C**
C**
C***********************************************************************
C***********************************************************************


C   --------------------------------------------------------------------
C   COMPUTER TYPES
C   --------------------------------------------------------------------
      INTEGER     VAX_P
      INTEGER     NAS_P
      INTEGER     CRAY_P
      INTEGER     SUN4_P
      INTEGER     SGI_P 
      INTEGER     PARAGON_P
      INTEGER     HP_P
      INTEGER     IBM_P
      INTEGER     LINUX_P

      INTEGER     TOTCOMPS_P


      PARAMETER ( VAX_P     = 1      )
      PARAMETER ( NAS_P     = 2      )
      PARAMETER ( CRAY_P    = 3      )
      PARAMETER ( SUN4_P    = 4      )
      PARAMETER ( SGI_P     = 5      )
      PARAMETER ( PARAGON_P = 6      )
      PARAMETER ( HP_P      = 7      )
      PARAMETER ( IBM_P     = 8      )
      PARAMETER ( LINUX_P   = 9      )

      PARAMETER ( TOTCOMPS_P = 9     )


      CHARACTER*32 COMPNAM(TOTCOMPS_P)

      DATA  COMPNAM(1) / 'VAX'        /
      DATA  COMPNAM(2) / 'NAS9000'    /
      DATA  COMPNAM(3) / 'CRAY Y-MP'  /
      DATA  COMPNAM(4) / 'SUN4 SPARC' /
      DATA  COMPNAM(5) / 'SGI'        /
      DATA  COMPNAM(6) / 'PARAGON'    /
      DATA  COMPNAM(7) / 'HP'         /
      DATA  COMPNAM(8) / 'IBM SP'     /
      DATA  COMPNAM(9) / 'LINUX'      /






C   --------------------------------------------------------------------
C   CURRENT COMPUTER
C   --------------------------------------------------------------------
      INTEGER     COMPUTER_P

      PARAMETER ( COMPUTER_P = LINUX_P)



C   --------------------------------------------------------------------
C   QC STAGE 1/2/3 PROCESSING FLAGS:  0 - DON'T PROCESS, 1 - DO PROCESS
C   --------------------------------------------------------------------
      INTEGER     QC_MESO_P
      INTEGER     QC_SAO_P
      INTEGER     QC_BUOY_P
      INTEGER     QC_METAR_P
      INTEGER     QC_NEPP_P
      INTEGER     QC_HYDRO_P
      INTEGER     QC_URBANET_P
      INTEGER     QC_HFMETAR_P
      INTEGER     QC_CRN_P
      INTEGER     QC_HCN_P
      INTEGER     QC_MOBILE_P

      PARAMETER ( QC_MESO_P  =  1)
      PARAMETER ( QC_SAO_P   =  1)
      PARAMETER ( QC_BUOY_P  =  1)
      PARAMETER ( QC_METAR_P =  1)
      PARAMETER ( QC_NEPP_P  =  1)
      PARAMETER ( QC_HYDRO_P =  1)
      PARAMETER ( QC_URBANET_P =1)
      PARAMETER ( QC_HFMETAR_P =1)
      PARAMETER ( QC_CRN_P   =  1)
      PARAMETER ( QC_HCN_P   =  1)
      PARAMETER ( QC_MOBILE_P=  1)

C   --------------------------------------------------------------------
C   QC DATABASE - NUMBER OF FILTERED DATASETS
C   --------------------------------------------------------------------
      INTEGER     MAXQCFLTR_P
      PARAMETER ( MAXQCFLTR_P = 5  )


