C***********************************************************************
C*****************************  INTQC1CON1 *****************************
C***********************************************************************
C**
C**  NAME:  INTQC1CON1
C**
C**
C**
C**  PURPOSE
C**  =======
C**  INCLUDE FILE                BASELINE VERSION   07/25/08 L. BENJAMIN
C**  PARAMETERS USED THROUGHOUT THE MSAS, UA, AND API SYSTEM
C**
C**  07/25/08 L. BENJAMIN   CHANGED FMC_P TO MC_P FOR MAPS ROUTINE
C**                         FOR MERGER WIHT MSAS.
C**
C***********************************************************************
C***********************************************************************


C***********************************************************************
C     FROM MSAS CONSTANT FILE
C***********************************************************************


C***********************************************************************
C     FROM MSAS(mapscon)/API CONSTANT FILE
C     FOR HISTORICAL REASONS SPVAL_P IS A DIFFERENT VALUE THAN MISS_P
C***********************************************************************

      INTEGER SUCCESS_P
      PARAMETER (SUCCESS_P = 0)

      INTEGER ERROR_P
      PARAMETER (ERROR_P = 3)

      INTEGER FAILURE_P
      PARAMETER (FAILURE_P = 1)


C***********************************************************************
C     FROM MSAS(qcmscon)/API CONSTANT FILE
C***********************************************************************
      INTEGER MASTER_P
      PARAMETER (MASTER_P = 1)


C***********************************************************************
C     FROM API/UA FOR READ CALLS
C***********************************************************************
C     DATABASE CODE NUMBERS:      

      INTEGER FSL_DB_P,AWIPS_DB_P

      PARAMETER (FSL_DB_P = 1)
      PARAMETER (AWIPS_DB_P = 2)


C***********************************************************************
C     FROM API CONSTANT FILE
C***********************************************************************


      REAL MISS_P
      PARAMETER (MISS_P = 999999.)

      REAL RADDEG_P
      PARAMETER (RADDEG_P = 1.745329E-2)

      REAL EARTH_RAD_P
      PARAMETER (EARTH_RAD_P = 6366707.0)

      INTEGER INV_INTV_P
      PARAMETER (INV_INTV_P = 4002)

      INTEGER INV_TIME_P
      PARAMETER (INV_TIME_P = 4)



C QC CHECK CODE NUMBERS:
      INTEGER TC_P,IC_P,SC_P,FMC_P,VC_P,PCC_P,TCM_P,SMC_P,PVC_P
      INTEGER HC_P,SAC_P,WSC_P,THC_P,MC_P

      PARAMETER (VC_P = 2)
      PARAMETER (PCC_P = 3)
      PARAMETER (IC_P = 4)
      PARAMETER (TC_P = 5)
      PARAMETER (TCM_P = 6)
      PARAMETER (HC_P = 6)
      PARAMETER (SC_P = 7)
      PARAMETER (SAC_P = 8)
      PARAMETER (FMC_P = 8)    
      PARAMETER (SMC_P = 9)
      PARAMETER (WSC_P = 9)
      PARAMETER (THC_P = 10)
      PARAMETER (MC_P = 11)    
      PARAMETER (PVC_P = 12)    


C     MSAS QC CODES

C     ------------------------------------------------------------------
C     DIMENSIONS
C     ------------------------------------------------------------------
      INTEGER MAX_QCVAR_P
      INTEGER MAX_QCCHK_P
      INTEGER MAX_IC_P
      INTEGER MAX_VAR_IC
      INTEGER MAX_VARNUM

      PARAMETER (MAX_QCVAR_P = 35)
      PARAMETER (MAX_QCCHK_P = 10)
      PARAMETER (MAX_IC_P = 15)
      PARAMETER (MAX_VAR_IC = 4)
      PARAMETER (MAX_VARNUM = 73)

C     ------------------------------------------------------------------
C     MISCELLANEOUS CONSTANTS
C     ------------------------------------------------------------------
      INTEGER MAX_IC_NUM_P
    
      PARAMETER (MAX_IC_NUM_P = 60)

C     ------------------------------------------------------------------
C     QC BIT DEFINITIONS
C     ------------------------------------------------------------------
      INTEGER SSC_P
      INTEGER KF_P
      INTEGER CONSENS_P
      INTEGER MASTER_CHG_P
      INTEGER VC_CHG_P
      INTEGER PCC_CHG_P
      INTEGER IC_CHG_P
      INTEGER TC_CHG_P
      INTEGER SSC_CHG_P
      INTEGER SC_CHG_P
      INTEGER FMC_CHG_P
      INTEGER SMC_CHG_P
      INTEGER KF_CHG_P

      PARAMETER (SSC_P = 6)
      PARAMETER (KF_P = 10)
      PARAMETER (CONSENS_P = 16)
      PARAMETER (MASTER_CHG_P = 17)
      PARAMETER (VC_CHG_P = 18)
      PARAMETER (PCC_CHG_P = 19)
      PARAMETER (IC_CHG_P = 20)
      PARAMETER (TC_CHG_P = 21)
      PARAMETER (SSC_CHG_P = 22)
      PARAMETER (SC_CHG_P = 23)
      PARAMETER (FMC_CHG_P = 24)    
      PARAMETER (SMC_CHG_P = 25)
      PARAMETER (KF_CHG_P = 26)

C     ------------------------------------------------------------------
C     VARIABLE CODE NUMBERS (HIGHEST VALUE = MAX_VARNUM)
C     ------------------------------------------------------------------
      INTEGER SLP_QC_P
      INTEGER T_QC_P
      INTEGER TD_QC_P
      INTEGER DD_QC_P
      INTEGER FF_QC_P
      INTEGER ALT_QC_P
      INTEGER PCHG3H_QC_P
      INTEGER RH_QC_P
      INTEGER STAPRS_QC_P
      INTEGER VIS_QC_P
      INTEGER PRECIP_QC_P
      INTEGER SNOWC_QC_P
      INTEGER MSLP_QC_P
      INTEGER POT_QC_P
      INTEGER DPD_QC_P
      INTEGER SFCU_QC_P
      INTEGER SFCV_QC_P
      INTEGER PRECIP1H_QC_P
      INTEGER PRECIP1HA_QC_P
      INTEGER PRECIP3H_QC_P
      INTEGER PRECIP6H_QC_P
      INTEGER PRECIP12H_QC_P
      INTEGER PRECIP18H_QC_P
      INTEGER PRECIP24H_QC_P
      INTEGER PRECIPRATE_QC_P
      INTEGER PRECIP5M_QC_P
      INTEGER PRECIP15M_QC_P
      INTEGER TEMP1H_QC_P       
      INTEGER TEMPMAXDAY_QC_P   
      INTEGER TEMPMINDAY_QC_P   
      INTEGER PRECIPCDAY_QC_P   
      INTEGER PRECIPUDAY_QC_P   
      INTEGER RH1H_QC_P         
      INTEGER FF1H_QC_P         
      INTEGER FFGUST_QC_P      
      INTEGER FFDAY_QC_P        
      INTEGER DD1H_QC_P         
      INTEGER DDDAY_QC_P        
      INTEGER SOILTEMP_QC_P    
      INTEGER SOILTEMP2_QC_P    
      INTEGER SOILTEMP4_QC_P    
      INTEGER SOILTEMP8_QC_P    
      INTEGER SOILTEMP20_QC_P   
      INTEGER SOILTEMP40_QC_P   
      INTEGER SNOWCDAY_QC_P     
      INTEGER SNOWF_QC_P        
      INTEGER SNOWFDAY_QC_P     
      INTEGER MPCHG_QC_P
      INTEGER DDGUST_QC_P      
      INTEGER SOILMOIST_QC_P    
      INTEGER SOILMOIST2_QC_P    
      INTEGER SOILMOIST4_QC_P    
      INTEGER SOILMOIST8_QC_P    
      INTEGER SOILMOIST20_QC_P   
      INTEGER SOILMOIST40_QC_P   
      INTEGER SST_QC_P
      INTEGER T15M_QC_P
      INTEGER T1HCHG_QC_P
      INTEGER RH15M_QC_P
      INTEGER RH1HCHG_QC_P
      INTEGER ALT15M_QC_P
      INTEGER ALT1HCHG_QC_P
      INTEGER DD15M_QC_P
      INTEGER FF15M_QC_P
      INTEGER DLYFFGUST_QC_P
      INTEGER MUVU15M_QC_P
      INTEGER MUVV15M_QC_P
      INTEGER MUVDD15M_QC_P
      INTEGER VECMEANDD_QC_P
      INTEGER SDU15M_QC_P
      INTEGER SDV15M_QC_P
      INTEGER SDDD15M_QC_P
      INTEGER SDFF15M_QC_P

      PARAMETER (SLP_QC_P = 1)
      PARAMETER (T_QC_P = 2)
      PARAMETER (TD_QC_P = 3)
      PARAMETER (DD_QC_P = 4)
      PARAMETER (FF_QC_P = 5)
      PARAMETER (ALT_QC_P = 6)
      PARAMETER (PCHG3H_QC_P = 7)
      PARAMETER (RH_QC_P = 8)
      PARAMETER (STAPRS_QC_P = 9)
      PARAMETER (VIS_QC_P = 10)
      PARAMETER (PRECIP_QC_P = 11)
      PARAMETER (SNOWC_QC_P = 12)
      PARAMETER (MSLP_QC_P = 13)
      PARAMETER (POT_QC_P = 14)
      PARAMETER (DPD_QC_P = 15)
      PARAMETER (SFCU_QC_P = 16)
      PARAMETER (SFCV_QC_P = 17)
      PARAMETER (PRECIP1H_QC_P = 18)
      PARAMETER (PRECIP3H_QC_P = 19)
      PARAMETER (PRECIP6H_QC_P = 20)
      PARAMETER (PRECIP24H_QC_P = 21)
      PARAMETER (PRECIP12H_QC_P = 22)
      PARAMETER (PRECIP18H_QC_P = 23)
      PARAMETER (PRECIPRATE_QC_P = 24)
      PARAMETER (PRECIP5M_QC_P = 25)
      PARAMETER (PRECIP1HA_QC_P = 26)
      PARAMETER (PRECIP15M_QC_P = 27)
      PARAMETER (TEMP1H_QC_P = 28)
      PARAMETER (TEMPMAXDAY_QC_P = 29)
      PARAMETER (TEMPMINDAY_QC_P = 30)
      PARAMETER (PRECIPCDAY_QC_P = 31)
      PARAMETER (PRECIPUDAY_QC_P = 32)
      PARAMETER (RH1H_QC_P = 33)
      PARAMETER (FF1H_QC_P = 34)
      PARAMETER (FFGUST_QC_P = 35)
      PARAMETER (FFDAY_QC_P = 36)
      PARAMETER (DD1H_QC_P = 37)
      PARAMETER (DDDAY_QC_P = 38)
      PARAMETER (SOILTEMP_QC_P = 49)
      PARAMETER (SOILTEMP2_QC_P = 39)
      PARAMETER (SOILTEMP4_QC_P = 40)
      PARAMETER (SOILTEMP8_QC_P = 41)
      PARAMETER (SOILTEMP20_QC_P = 42)
      PARAMETER (SOILTEMP40_QC_P = 43)
      PARAMETER (SNOWCDAY_QC_P = 44)
      PARAMETER (SNOWF_QC_P = 45)
      PARAMETER (SNOWFDAY_QC_P = 46)
      PARAMETER (MPCHG_QC_P = 47)
      PARAMETER (DDGUST_QC_P = 48)
      PARAMETER (SOILMOIST_QC_P = 50)
      PARAMETER (SOILMOIST2_QC_P = 51)
      PARAMETER (SOILMOIST4_QC_P = 52)
      PARAMETER (SOILMOIST8_QC_P = 53)
      PARAMETER (SOILMOIST20_QC_P = 54)
      PARAMETER (SOILMOIST40_QC_P = 55)
      PARAMETER (SST_QC_P = 56)
      PARAMETER (T15M_QC_P = 57)
      PARAMETER (T1HCHG_QC_P = 58)
      PARAMETER (RH15M_QC_P = 59)
      PARAMETER (RH1HCHG_QC_P = 60)
      PARAMETER (ALT15M_QC_P = 61)
      PARAMETER (ALT1HCHG_QC_P = 62)
      PARAMETER (DD15M_QC_P = 63)
      PARAMETER (FF15M_QC_P = 64)
      PARAMETER (DLYFFGUST_QC_P = 65)
      PARAMETER (MUVU15M_QC_P = 66)
      PARAMETER (MUVV15M_QC_P = 67)
      PARAMETER (MUVDD15M_QC_P = 68)
      PARAMETER (VECMEANDD_QC_P = 69)
      PARAMETER (SDU15M_QC_P = 70)
      PARAMETER (SDV15M_QC_P = 71)
      PARAMETER (SDDD15M_QC_P = 72)
      PARAMETER (SDFF15M_QC_P = 73)



C  GENERIC DATASET CODE  THIS IS A NEW ADDITION.
      INTEGER EXTERNAL_DS_P
      PARAMETER (EXTERNAL_DS_P = 0)


