C
C VARIABLES FOR KEEPING QC STATISTICS
C
C RICH FOZZARD  6/10/93      VARS FOR STRATIFICATION BY SUBSOURCE !RF01
C RICH FOZZARD  11/12/93     SUBNAME & SUBNUM INDEX PARAMETERS  !RF02
C RICH FOZZARD  6/10/94      REMOVED DATA STMNTS TO BE STD FOR UNIX  !RF03
C M. BARTH      6/30/97      CHANGED MAXSTRAT FROM 9 TO 20, MAXSUB
C                            FROM 6 TO 20.  REMOVED UNUSED *IDX VARS.
C                            CHANGED LOGICAL UNIT NUMBERS TO ALLOW
C                            21 OF EACH TYPE OF QC FILES.
C M. BARTH      10/3/97      CHANGED SUBNAME FROM CHAR*4 TO CHAR*10 TO
C                            ALLOW USE OF WFOA PROVIDER NAMES FOR SUBSRCS
C M. BARTH      8/19/98      REPLACED WIND ARRAYS WFAIL & WNDSTA WITH
C	                     SEPARATE ONES FOR FF (FFFAIL, FFSTA) AND
C	                     DD (DDFAIL, DDSTA).
C M. BARTH      3/10/99      - COMMENTED OUT STATSF ARRAY.
C                            - CHANGED DIMENSION OF STAHLD, FFSTA,
C                              DDSTA, ERRHLD, FFHLD, DDHLD & THRHLD 
C                              FROM MAXSTRAT+1*MXST_P*10 TO MXST_P*10;
C                              ADDED STASTR, FFSTR, DDSTR,
C                              NFAIL_ALL, FFFAIL_ALL, DDFAIL_ALL TO 
C                              PERFORM THE SAME FUNCTION (TRACKING THE 
C                              STRATIFICATION OF FAILED OBS).
C M. BARTH      1/22/01      ADDED STATIM, DDTIM, FFTIM VARIABLES TO 
C                            KEEP OB TIMES.
C M. BARTH      5/09/01      - CHANGED MAXSTRAT/MAXSUB FROM 20 TO 40.
C                            - CHANGED LUNS ACCORDINGLY.
C                            - REMOVED STRAT DIMENSION FROM 
C                              SFCHQC-STATS-GATHERING VARIABLES.
C M. BARTH      10/01/04     GOT RID OF THE ARCHAIC STRATIFICATION VS.
C                            SUBSOURCE DISTINCTION.  NOW SIMPLY HAVE
C                            MAXSTRAT SUBSOURCES.  ALSO CHANGED LUN 
C                            ASSIGNMENTS SO THAT THE LUNS FOR EACH 
C                            SUBSOURCE (QCOBS FILES) ARE AT THE END.
C M. BARTH      10/18/06     ADDED AUTOMATED REJECT LIST VARIABLES:
C                            AUTOFLG, NBADPCT, NGOODPCT.
C M. BARTH      06/01/09     UPPED MAXSTRAT TO 501.
C
C MAX NUMBER OF ALLOWED SUBSOURCES -- NOTE THAT THE LAST ONE
C IS THE CATCHALL "ALL-ELSE" IN CASE TOO MANY SUBSOURCES GET
C DEFINED BEFORE A VERSION UPGRADE INCREASES MAXSTRAT.  THIS
C WAS FORMERLY DONE BY USING SUBSRC (OR STRAT?) 0, WHICH GOT
C TRIGGERED BY LOGIC INVOLVING THE INSCRUTABLE DIFFERENCES
C BETWEEN SUBSOURCES AND STRATIFICATIONS.  NOW THAT THIS HAS
C BEEN SIMPLIFIED, WE SIMPLY ADVERTISE N SLOTS ARE AVAILABLE
C AND QUIETLY RESERVE SLOT N+1 FOR "ALL-ELSE".

        INTEGER MAXSTRAT
        PARAMETER (MAXSTRAT=501)

C NUMBER OF SUBSOURCES
C  (DETERMINED WHEN SFCHQCIN IS READ - DEFAULT IS 0)            !RF01
        INTEGER NSTRAT
C ARRAYS TO HOLD SUBSOURCE #S AND NAMES (FOR OUTPUT)            !RF01
        INTEGER SUBNUM(MAXSTRAT)
        CHARACTER*10 SUBNAME(MAXSTRAT)
C LOGICAL UNITS TO USE FOR QC FILES                             !RF01
C NOTE THAT QCOBSUNIT + MAXSTRAT - 1 LUNS WILL ALL BE USED FOR
C QCOBS FILES -- ON SOME OPERATING SYSTEMS THIS WON'T WORK
C GIVEN A LARGE ENOUGH MAXSTRAT (E.G., HP, SUN).
        INTEGER QCUNIT, QCOBSUNIT, QCSMRYUNIT, QCUNIT1
        PARAMETER ( QCUNIT=19, QCSMRYUNIT=20, QCUNIT1=21, QCOBSUNIT=22)


C DIMENSION (SOME) ARRAYS TO ALLOW DIFFERENT SUBSOURCES !RF01
C ARRAYS START AT 0 TO ALLOW AN "ALL ELSE" SUBSOURCE !RF01
C
      REAL  THRSUM(10),EPSSUM(10),ERRSUM(10),ERRMAX(10),
     ,      FERSUM(10),ERRHLD(MXST_P,10),THRHLD(MXST_P,10),
     ,      DDHLD(MXST_P),FFHLD(MXST_P)
      INTEGER  NTHR(10,MAXSTRAT),NFAIL(10,MAXSTRAT),
     ,         NFAIL_ALL(10),NFIXED(10,MAXSTRAT),
     ,         FFFAIL(MAXSTRAT),FFFAIL_ALL,
     ,         DDFAIL(MAXSTRAT),DDFAIL_ALL,
     ,         STASTR(MXST_P,10),FFSTR(MXST_P),DDSTR(MXST_P),
     ,         STATIM(MXST_P,10),DDTIM(MXST_P),FFTIM(MXST_P)
      CHARACTER STAHLD(MXST_P,10)*(LSTAID_P),
     ,          STAMAX(10)*(LSTAID_P),
     ,          FFSTA(MXST_P)*(LSTAID_P),
     ,          DDSTA(MXST_P)*(LSTAID_P)
C
C  AUTOMATED REJECT LIST VARIABLES
C
      INTEGER AUTOFLG,NBADPCT,NGOODPCT
C
C  ADD NSTRAT, STRAT, SUBNUM, SUBNAME TO COMMONS                !RF01
      COMMON /QCREAL/ THRSUM,EPSSUM,ERRSUM,ERRMAX,FERSUM,ERRHLD,
     ,                 THRHLD,DDHLD,FFHLD,STASTR,DDSTR,FFSTR,
     ,                 NTHR,NFAIL,NFAIL_ALL,FFFAIL,DDFAIL,FFFAIL_ALL,
     ,                 DDFAIL_ALL,NFIXED,NSTRAT,SUBNUM,STATIM,
     ,                 DDTIM,FFTIM,AUTOFLG,NBADPCT,NGOODPCT
      COMMON /QCCHAR/ STAHLD,STAMAX,FFSTA,SUBNAME,DDSTA
C
C END OF QC VARIABLES

