C***********************************************************************
C*************************** Q C M S C O N *****************************
C***********************************************************************
C**
C**  NAME:  QCMSCON
C**
C**
C**
C**  PURPOSE
C**  =======
C**  INCLUDE FILE                ORIGINAL VERSION   4/23/98  M. BARTH
C**                              ADDED 12H AND 18H  5/3/99   M. BARTH
C**                              PRECIP VARIABLES
C**                              ADDED MAX_SUBSRC_P 12/13/99 M. BARTH
C**                              ADDED PRECIP RATE  2/9/01   M. BARTH
C**                              ADDED 5MIN PRECIP  2/23/01  M. BARTH
C**                              ADDED 15MIN &      9/1/02   M. BARTH
C**                              ALTERNATE 1H PRECIP
C**                              ADDED BUNCH OF     12/8/03  M. BARTH
C**                              VARIABLES FOR COOP
C**                              (#28-46), CHANGED
C**                              MAX_QCVAR_P TO 30,
C**                              ADDED MPCHG_QC_P
C**                              CHANGED            3/9/04   M. BARTH
C**                              FFMAX1H_QC_P TO 
C**                              FFGUST_QC_P AND ADDED
C**                              DDGUST_QC_P
C**                              ADDED SOIL         10/8/04  M. BARTH
C**                              MOISTURE VARIABLES,
C**                              UPPED MAX_QCVAR_P
C**                              TO 35, & ADDED
C**                              GENERIC SOIL TEMP, 
C**                              UPPED MAX_SUBSRC_P TO 101
C**                              ADDED SST_QC_P      6/8/04  M. BARTH
C**  08/25/06 M. BARTH           ADDED T15M_QC_P,T1HCHG_QC_P,RH15M_QC_P,
C**                              RH1HCHG_QC_P,ALT15M_QC_P,ALT1HCHG_QC_P,
C**                              DD15M_QC_P,FF15M_QC_P,DLYFFGUST_QC_P,
C**                              MUVU15M_QC_P,MUVV15M_QC_P,
C**                              MUVDD15M_QC_P,VECMEANDD_QC_P,
C**                              SDU15M_QC_P,SDV15M_QC_P,SDDD15M_QC_P,
C**                              SDFF15M_QC_P
C**  01/19/07 M. BARTH           REMOVED UNUSED TEMPORAL CONSISTENCY
C**                              CHECK FOR MARINE DATA AND REPLACED IT
C**                              WITH A STATISTICAL SPATIAL CONSISTENCY
C**                              CHECK
C**  08/19/08 L. BENJAMIN        MOVE QC DEFINITIONS TO INTQC1CON1.
C**  06/01/09 M. BARTH           UPPED MAX_SUBSRC_P TO 501

C**                              
C**
C**  CONTAINS CONSTANTS SPECIFIC TO THE QCMS PROGRAMS.  WHENEVER A NEW
C**  VARIABLE CODE IS ADDED THE FOLLOWING ROUTINES NEED TO HAVE A
C**  LABEL ADDED FOR IT:  qclib/smryrpt.f, qcstats/accumqc.f,
C**                       qcstats/wtaccum.f
C**
C**
C**  VARIABLES
C**  =========
C**  LABEL           TYPE ................DESCRIPTION..................
C**
C**  DIMENSIONS:
C**
C**  MAX_SUBSRC_P      I               MAX. NO. OF SUBSRCS (MUST BE
C**                                    .GE. MAXSTRAT IN QCCOMMON)
C**
C**  UNITS CODE NUMBERS:
C**
C**  PA_UNIT_NUM       I               PASCALS
C**  K_UNIT_NUM        I               KELVIN
C**  DEG_UNIT_NUM      I               DEGREES
C**  MS_UNIT_NUM       I               METERS/SECOND
C**  PCT_UNIT_NUM      I               PERCENT
C**  HPA_UNIT_NUM      I               HECTOPASCALS
C**  KT_UNIT_NUM       I               KNOTS
C**  C_UNIT_NUM        I               CELSIUS
C**  F_UNIT_NUM        I               FAHRENHEIT
C**  M_UNIT_NUM        I               METERS
C**  MM_UNIT_NUM       I               MILLIMETERS
C**  KM_UNIT_NUM       I               KILOMETERS
C**  KGM2S_UNIT_NUM    I               KILOGRAM/(METERS**2)/SECOND
C**
C***********************************************************************
C***********************************************************************
C     ------------------------------------------------------------------
C     DIMENSIONS
C     ------------------------------------------------------------------
      INTEGER MAX_SUBSRC_P
      PARAMETER (MAX_SUBSRC_P = 501)

C     ------------------------------------------------------------------
C     UNITS CODE NUMBERS
C     ------------------------------------------------------------------
      INTEGER PA_UNIT_NUM
      INTEGER K_UNIT_NUM
      INTEGER DEG_UNIT_NUM
      INTEGER MS_UNIT_NUM
      INTEGER PCT_UNIT_NUM
      INTEGER HPA_UNIT_NUM
      INTEGER KT_UNIT_NUM
      INTEGER C_UNIT_NUM
      INTEGER F_UNIT_NUM
      INTEGER M_UNIT_NUM
      INTEGER MM_UNIT_NUM
      INTEGER KM_UNIT_NUM
      INTEGER KGM2S_UNIT_NUM

      PARAMETER (PA_UNIT_NUM = 1)
      PARAMETER (K_UNIT_NUM = 2)
      PARAMETER (DEG_UNIT_NUM = 3)
      PARAMETER (MS_UNIT_NUM = 4)
      PARAMETER (PCT_UNIT_NUM = 5)
      PARAMETER (HPA_UNIT_NUM = 6)
      PARAMETER (KT_UNIT_NUM = 7)
      PARAMETER (C_UNIT_NUM = 8)
      PARAMETER (F_UNIT_NUM = 9)
      PARAMETER (M_UNIT_NUM = 10)
      PARAMETER (MM_UNIT_NUM = 11)
      PARAMETER (KM_UNIT_NUM = 12)
      PARAMETER (KGM2S_UNIT_NUM = 13)
