C$$$  SUBPROGRAM DOCUMENTATION BLOCK
C                .      .    .                                       .
C SUBPROGRAM:    M_LSTCHR    FIND LAST NON-BLANK CHARACTER IN A STRING
C   PRGMMR: M. BARTH         ORG: FSL        DATE: 97-08-14
C
C ABSTRACT: FIND LAST NON-BLANK CHARACTER IN A STRING
C
C PROGRAM HISTORY LOG:
C   97-08-14  M. BARTH         ORIGINAL PROGRAM
C
C USAGE:    I = M_LSTCHR(TEXT,N)
C
C INPUT ARGUMENT LIST:
C     TEXT       - CHARACTER           STRING TO BE SEARCHED
C     N          - INTEGER             NUMBER OF CHARACTERS TO SEARCH
C
C OUTPUT FUNCTIONAL RETURN:
C     M_LSTCHR   - INTEGER             INDEX (0 TO N) OF THE RIGHTMOST
C                                      NON-BLANK PRINTING CHARACTER
C
C ATTRIBUTES:
C   LANGUAGE: FORTRAN-77 + EXTENSIONS
C   MACHINE:  UNIX
C$$$
C
        INTEGER FUNCTION M_LSTCHR(TEXT,N)
C
        INCLUDE 'IMPLICIT'

        CHARACTER*(*) TEXT
        INTEGER I,N
C
        DO 100 I = N,1,-1
                IF(ICHAR(TEXT(I:I)).GT.32.AND.
     $             ICHAR(TEXT(I:I)).LT.127.AND.
     $             ICHAR(TEXT(I:I)).NE.96)THEN
C
                        M_LSTCHR = I
                        RETURN
                ENDIF
 100    CONTINUE
C
        M_LSTCHR = 0
C
        RETURN
        END
C**---------------------------------------------------------------------
C**REQUIRED STANDARD FSL DISCLAIMER (NOVEMBER 2000)
C**---------------------------------------------------------------------
C**  OPEN SOURCE LICENSE/DISCLAIMER,  FORECAST SYSTEMS LABORATORY
C**  NOAA/OAR/FSL, 325 BROADWAY BOULDER, CO 80305
C**
C**  THIS SOFTWARE IS DISTRIBUTED UNDER THE OPEN SOURCE DEFINITION, 
C**  WHICH MAY BE FOUND AT http://www.opensource.org/osd.html.
C**
C**  IN PARTICULAR, REDISTRIBUTION AND USE IN SOURCE AND BINARY FORMS,
C**  WITH OR WITHOUT MODIFICATION, ARE PERMITTED PROVIDED THAT THE 
C**  FOLLOWING CONDITIONS ARE MET:
C**
C**  - REDISTRIBUTIONS OF SOURCE CODE MUST RETAIN THIS NOTICE, THIS LIST
C**    OF CONDITIONS AND THE FOLLOWING DISCLAIMER.
C**
C**  - REDISTRIBUTIONS IN BINARY FORM MUST PROVIDE ACCESS TO THIS 
C**    NOTICE, THIS LIST OF CONDITIONS AND THE FOLLOWING DISCLAIMER, AND
C**    THE UNDERLYING SOURCE CODE.
C**
C**  - ALL MODIFICATIONS TO THIS SOFTWARE MUST BE CLEARLY DOCUMENTED, 
C**    AND ARE SOLELY THE RESPONSIBILITY OF THE AGENT MAKING THE 
C**    MODIFICATIONS.
C**
C**  - IF SIGNIFICANT MODIFICATIONS OR ENHANCEMENTS ARE MADE TO THIS
C**    SOFTWARE, THE FSL SOFTWARE POLICY MANAGER 
C**    (softwaremgr.fsl@noaa.gov) BE NOTIFIED.
C**
C**  THIS SOFTWARE AND ITS DOCUMENTATION ARE IN THE PUBLIC DOMAIN AND 
C**  ARE FURNISHED "AS IS."  THE AUTHORS, THE UNITED STATES GOVERNMENT,
C**  ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO 
C**  WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE
C**  AND DOCUMENTATION FOR ANY PURPOSE.  THEY ASSUME NO RESPONSIBILITY 
C**  (1) FOR THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO 
C**  PROVIDE TECHNICAL SUPPORT TO USERS.
C**---------------------------------------------------------------------
