C$$$  SUBPROGRAM DOCUMENTATION BLOCK
C                .      .    .                                       .
C SUBPROGRAM:    SORTC       SHELL SORT FOR CHARACTER ARRAYS.
C   PRGMMR: M. BARTH         ORG: FSL        DATE: 01-02-15
C
C ABSTRACT: SHELL SORT, BASED UPON THE VALUES OF V.
C   IV IS THE ORIGINAL INDEX OF EACH ELEMENT OF V.
C
C PROGRAM HISTORY LOG:
C   01-02-15  M. BARTH   ORIGINAL PROGRAM
C
C USAGE:    CALL SORTC(MAX,V,IV)
C   INPUT ARGUMENT LIST:
C     MAX      - NUMBER OF ARRAY ELEMENTS IN V
C     V        - VARIABLE
C
C   OUTPUT ARGUMENT LIST:
C     V        - SAME AS INPUT ARGUMENT LIST, SORTED IN
C                ASCENDING ORDER.
C     IV       - ORIGINAL INDEX OF VARIABLE
C
C REMARKS:
C   MAXIMUM LENGTH OF EACH CHARACTER ARRAY ELEMENT IS 256.
C
C ATTRIBUTES:
C   LANGUAGE: FORTRAN-77 PLUS EXTENSIONS
C   MACHINE:  UNIX
C
C$$$


      SUBROUTINE SORTC(MAX,V,IV)

      INCLUDE 'IMPLICIT'

      INTEGER MAX
      CHARACTER*(*) V(*)
      INTEGER IV(*)



      INTEGER I
      INTEGER IOFSET
      INTEGER LIM
      INTEGER ISW
      INTEGER IVT
      INTEGER NLEN

      CHARACTER*256 VT

      NLEN = LEN(V(1))

      DO 10 I=1,MAX
        IV(I) = I
   10 CONTINUE
      IOFSET = MAX/2
   20 CONTINUE
      LIM = MAX - IOFSET
   30 CONTINUE
      ISW = 0
      DO 40 I=1,LIM
        IF(V(I).GT.V(I+IOFSET)) THEN
          VT(1:NLEN) = V(I)
          V(I) = V(I+IOFSET)
          V(I+IOFSET) = VT(1:NLEN)
          IVT = IV(I)
          IV(I) = IV(I+IOFSET)
          IV(I+IOFSET) = IVT
          ISW = I
        ENDIF
   40 CONTINUE
      LIM = ISW - IOFSET
      IF(ISW.NE.0) GO TO 30
      IOFSET = IOFSET/2
      IF(IOFSET.GT.0) GO TO 20

      RETURN
      END
