C$$$  SUBPROGRAM DOCUMENTATION BLOCK
C                .      .    .                                       .
C SUBPROGRAM:    SORTI       SHELL SORT FOR INTEGER ARRAYS
C   PRGMMR: M. BARTH         ORG: FSL        DATE: 99-12-08
C
C ABSTRACT: SHELL SORT, BASED UPON THE VALUES OF V.
C   IV IS THE ORIGINAL INDEX OF EACH ELEMENT OF V.
C
C PROGRAM HISTORY LOG:
C   99-12-08  M. BARTH   ORIGINAL PROGRAM
C
C USAGE:    CALL SORTI(V,IV,MAX)
C   INPUT ARGUMENT LIST:
C     V        - VARIABLE
C     IV       - ORIGINAL INDEX OF VARIABLE
C
C   OUTPUT ARGUMENT LIST:
C     ...      - SAME AS INPUT ARGUMENT LIST, SORTED IN
C                ASCENDING ORDER.
C
C ATTRIBUTES:
C   LANGUAGE: FORTRAN
C   MACHINE:  UNIX
C
C$$$


      SUBROUTINE SORTI(V,IV,MAX)

      INCLUDE 'IMPLICIT'


C     ARGUMENTS
      INTEGER MAX
      INTEGER V(MAX)
      INTEGER IV(MAX)



C     LOCAL VARIABLES
      INTEGER I
      INTEGER IOFSET
      INTEGER ISW
      INTEGER IVT
      INTEGER LIM

      INTEGER VT





      DO 10 I=1,MAX
        IV(I) = I
   10 CONTINUE
      IOFSET = MAX/2
   20 CONTINUE
      LIM = MAX - IOFSET
   30 CONTINUE
      ISW = 0
      DO 40 I=1,LIM
        IF(V(I).GT.V(I+IOFSET)) THEN
          VT = V(I)
          V(I) = V(I+IOFSET)
          V(I+IOFSET) = VT
          IVT = IV(I)
          IV(I) = IV(I+IOFSET)
          IV(I+IOFSET) = IVT
          ISW = I
        ENDIF
   40 CONTINUE
      LIM = ISW - IOFSET
      IF(ISW.NE.0) GO TO 30
      IOFSET = IOFSET/2
      IF(IOFSET.GT.0) GO TO 20
      RETURN
      END
