
      PROGRAM DOIT


C     -----------------------------------------------------------------
C     INCLUDES AND COMMONS
C     -----------------------------------------------------------------
      INCLUDE 'IMPLICIT'
      INCLUDE 'MADISCON'
      INCLUDE 'NETCDFI'


C     -----------------------------------------------------------------
C     LOCAL
C     -----------------------------------------------------------------



      INTEGER MXST_P
      PARAMETER (MXST_P = 60000)
      INTEGER MISS
      PARAMETER (MISS = -9999)

      CHARACTER*255 INFILE,INFILEDIR,PROCFILEDIR
      CHARACTER*255 TMPSTR

      INTEGER DEBUG,NUMARGS,LSI,LDP
      INTEGER ISTATUS,NUMRECVARS,LIFCD,LPFCD
      INTEGER LUN,IOSTAT,I,RECNUM,STATUS
      INTEGER NRECI,J,K,N,NCIDF,IFILE,L,M_LSTCHR,L1,L2,NCID
      INTEGER LIFC,LOFC,LSC,FIRSTCHR,LASTCHR,M_FRTCHR,LIFCTFILTR

      LOGICAL ISOPEN_NCIDF,ISOPEN_NCID
      LOGICAL SUCCESS

      CHARACTER*14  FNAME
      CHARACTER*(MAXNCNAM) DIMNAM
      INTEGER       NDIMS,NGATTS,RECDIM,DIMSIZ
      INTEGER       NVARS,NVDIMS,VARTYP,LENSTR,NVATTS,RCODE

      REAL RMISS /3.40282346e38/
      REAL RMISSMAX /3.40282346e37/
      INTEGER MISSING /-9999/
      INTEGER IMISS /-32767/
      REAL MISS99 /-99.9/
      DOUBLE PRECISION DMISS /3.402823e38/

C     -----------------------------------------------------------------
C     EXAMPLE DATA SET RECORD INCLUDE FILE GENERATED BY A PERL SCRIPT.  
C     RUN "perl crtNcRecF.pl NETCDF_FILE > doit_include.f"
C     INCLUDE DATASETREC.F AFTER ALL VARIABLES ARE DECLARED.
C     -----------------------------------------------------------------
      INCLUDE 'doit_include.f'

C     -----------------------------------------------------------------
C     DATA STATEMENTS (KEEP AT BOTTOM OF DECLARATIONS)
C     -----------------------------------------------------------------



C     *****************************************************************
C     ****************** BEGIN OF MESOFLTR ****************************
C     *****************************************************************

      DEBUG = 1
      ISOPEN_NCIDF = .FALSE.
      ISOPEN_NCID = .FALSE.

C     -----------------------------------------------------------------
C     ASSUME FAILURE.
C     -----------------------------------------------------------------
      STATUS = FAILURE_P

C     -----------------------------------------------------------------
C     READ INPUT ARGS
C       1 - INPUT-DIR
C       2 - INPUTFILE 
C       3 - PROC-DIR
C     -----------------------------------------------------------------


      NUMARGS = IARGC()
      IF(NUMARGS.NE.2)THEN
         WRITE(*,*)'USAGE: DOIT.EXE INPUT-DIR INPUT-FILE '
         STATUS = IOSTAT
         CALL EXIT
      ENDIF


      CALL GETARG(2,TMPSTR)
      FIRSTCHR = M_FRTCHR(TMPSTR,255)
      LASTCHR = INDEX(TMPSTR(FIRSTCHR:255),' ')
      INFILE = TMPSTR(FIRSTCHR:LASTCHR)
      LIFC = LASTCHR - FIRSTCHR


C IN DIRECTORY
      CALL GETARG(1,TMPSTR)
      FIRSTCHR = M_FRTCHR(TMPSTR,255)
      LASTCHR = INDEX(TMPSTR(FIRSTCHR:255),' ')
      LASTCHR = LASTCHR - 1
      IF(TMPSTR(LASTCHR:LASTCHR).EQ.'/'.OR.
     1     TMPSTR(LASTCHR:LASTCHR).EQ.'\\')THEN
         INFILEDIR = TMPSTR(FIRSTCHR:LASTCHR)
         LIFCD =  LASTCHR - FIRSTCHR + 1
      ELSE
         INFILEDIR = TMPSTR(FIRSTCHR:LASTCHR)//'/'
         LIFCD =  LASTCHR - FIRSTCHR + 1 + 1
      ENDIF
      


      WRITE(*,*)
      WRITE(*,*)'  - PROCESSING FILE ',INFILEDIR(1:LIFCD)//
     1     INFILE(1:LIFC)

 403  FORMAT(3X,A,1X,A)
 401  FORMAT(3X,A)
 402  FORMAT(3X,A,F13.6)

C     -----------------------------------------------------------------
C     KEEP NETCDF ERRORS FROM KILLING THE PROGRAM.
C     -----------------------------------------------------------------
      CALL NCPOPT(0)


C     -----------------------------------------------------------------
C     OPEN NON-FILTERED RECORDS INPUTFILE
C     -----------------------------------------------------------------
      NCID = NCOPN(INFILEDIR(1:LIFCD)//
     1     INFILE(1:LIFC),NCWRITE, RCODE)
      IF(RCODE .NE. SUCCESS_P)THEN
         WRITE(*,*)'  - ERROR OPENING FILE: ',INFILE(1:LIFC),RCODE
         GO TO 900
      ENDIF
      ISOPEN_NCID = .FALSE.



C     -----------------------------------------------------------------
C     GET NUMBER OF RECORDS, WE WILL WRITE THE NON-FILTERED ONES
C     -----------------------------------------------------------------

      CALL NCINQ(NCID,NDIMS,NVARS,NGATTS,RECDIM,RCODE)
      IF(RCODE.NE.0)THEN
         WRITE(*,*)'          - NCINQ ERROR: ',RCODE            
         GOTO 900
      ENDIF
      CALL NCDINQ(NCID,RECDIM,DIMNAM,NRECI,RCODE)
      IF(RCODE.NE.0)THEN
         WRITE(*,*)'          - NCDINQ RECDIM ERROR: ',RCODE
         GOTO 900
      ENDIF



C ACCOUNT FOR THE INVENTORY RECORD VARIABLES
      CALL getnrvars(RCODE,%VAL(NCID),NUMRECVARS)

      WRITE(*,*)'NVARS: ',NVARS,NUMRECVARS,RECDIM,NDIMS


      SUCCESS=.FALSE.

C     -----------------------------------------------------------------
C     READ RECORDS
C     -----------------------------------------------------------------
      DO RECNUM = 0, NRECI-1,1
C     -----------------------------------------------------------------
C      READ RECORD
C     -----------------------------------------------------------------
         CALL rrec(%VAL(RECNUM),RCODE,%VAL(NCID),RPTR)
         IF(RCODE.NE.0)THEN
            WRITE(*,*)' DRMESO - ERROR READING RECORD: ',RECNUM,
     1           'RCODE: ',RCODE
         ELSE
c$$$            I = LEN(STATIONID)
c$$$            LSI = M_LSTCHR(STATIONID,I)
c$$$            I = LEN(DATAPROVIDER)
c$$$            LDP = M_LSTCHR(DATAPROVIDER,I)
            
            IF(TEMPERATURESFC.LT.100000)TEMPERATURESFC=9934.23

            CALL wrec(%VAL(RECNUM),RCODE,%VAL(NCID),RPTR)
            IF(RCODE.NE.0)THEN
               WRITE(*,*)'          - WREC FAILURE: ',RCODE
               GOTO 900
            ENDIF
            
C# VALID RECORDS
         ENDIF
      ENDDO

C     -----------------------------------------------------------------
C     FINISH UP.
C     -----------------------------------------------------------------
 900  CONTINUE

C     -----------------------------------------------------------------
C     CLOSE INFILE FILE
C     -----------------------------------------------------------------
      IF(ISOPEN_NCID)THEN
         CALL NCCLOS(NCID,RCODE)
         ISOPEN_NCID = .FALSE.
      ENDIF

      END

C$$$  SUBPROGRAM DOCUMENTATION BLOCK
C                .      .    .                                       .
C SUBPROGRAM:    M_FRTCHR    FIND FIRST NON-BLANK CHARACTER IN A STRING
C   PRGMMR: L. BENJAMIN      ORG: FSL        DATE: 04-10-21
C
C ABSTRACT: FIND FIRST NON-BLANK CHARACTER IN A STRING
C
C PROGRAM HISTORY LOG:
C   04-10-21  L. BENJAMIN      ORIGINAL PROGRAM
C
C USAGE:    I = M_FRTCHR(TEXT,N)
C
C INPUT ARGUMENT LIST:
C     TEXT       - CHARACTER           STRING TO BE SEARCHED
C     N          - INTEGER             NUMBER OF CHARACTERS TO SEARCH
C
C OUTPUT FUNCTIONAL RETURN:
C     M_FRTCHR   - INTEGER             INDEX (0 TO N) OF THE LEFTMOST
C                                      NON-BLANK PRINTING CHARACTER
C
C ATTRIBUTES:
C   LANGUAGE: FORTRAN-77 + EXTENSIONS
C   MACHINE:  UNIX
C$$$
C
        INTEGER FUNCTION M_FRTCHR(TEXT,N)
C
        INCLUDE 'IMPLICIT'

        CHARACTER*(*) TEXT
        INTEGER I,N
C
        DO 100 I = 1,N,1 
                IF(ICHAR(TEXT(I:I)).GT.32.AND.
     $             ICHAR(TEXT(I:I)).LT.127.AND.
     $             ICHAR(TEXT(I:I)).NE.96)THEN
C
                        M_FRTCHR = I
                        RETURN
                ENDIF
 100    CONTINUE
C
        M_FRTCHR = N
C
        RETURN
        END



C**---------------------------------------------------------------------
C**REQUIRED STANDARD FSL DISCLAIMER (NOVEMBER 2000)
C**---------------------------------------------------------------------
C**  OPEN SOURCE LICENSE/DISCLAIMER,  FORECAST SYSTEMS LABORATORY
C**  NOAA/OAR/FSL, 325 BROADWAY BOULDER, CO 80305
C**
C**  THIS SOFTWARE IS DISTRIBUTED UNDER THE OPEN SOURCE DEFINITION, 
C**  WHICH MAY BE FOUND AT http://www.opensource.org/osd.html.
C**
C**  IN PARTICULAR, REDISTRIBUTION AND USE IN SOURCE AND BINARY FORMS,
C**  WITH OR WITHOUT MODIFICATION, ARE PERMITTED PROVIDED THAT THE 
C**  FOLLOWING CONDITIONS ARE MET:
C**
C**  - REDISTRIBUTIONS OF SOURCE CODE MUST RETAIN THIS NOTICE, THIS LIST
C**    OF CONDITIONS AND THE FOLLOWING DISCLAIMER.
C**
C**  - REDISTRIBUTIONS IN BINARY FORM MUST PROVIDE ACCESS TO THIS 
C**    NOTICE, THIS LIST OF CONDITIONS AND THE FOLLOWING DISCLAIMER, AND
C**    THE UNDERLYING SOURCE CODE.
C**
C**  - ALL MODIFICATIONS TO THIS SOFTWARE MUST BE CLEARLY DOCUMENTED, 
C**    AND ARE SOLELY THE RESPONSIBILITY OF THE AGENT MAKING THE 
C**    MODIFICATIONS.
C**
C**  - IF SIGNIFICANT MODIFICATIONS OR ENHANCEMENTS ARE MADE TO THIS
C**    SOFTWARE, THE FSL SOFTWARE POLICY MANAGER 
C**    (softwaremgr.fsl@noaa.gov) BE NOTIFIED.
C**
C**  THIS SOFTWARE AND ITS DOCUMENTATION ARE IN THE PUBLIC DOMAIN AND 
C**  ARE FURNISHED "AS IS."  THE AUTHORS, THE UNITED STATES GOVERNMENT,
C**  ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO 
C**  WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE
C**  AND DOCUMENTATION FOR ANY PURPOSE.  THEY ASSUME NO RESPONSIBILITY 
C**  (1) FOR THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO 
C**  PROVIDE TECHNICAL SUPPORT TO USERS.
C**--------------------------------------------------------------------
